// Dark mode toggle functionality
function toggleDarkMode() {
    const html = document.documentElement;
    const button = document.querySelector('.dark-mode-toggle');
    
    if (html.getAttribute('data-theme') === 'dark') {
        html.removeAttribute('data-theme');
        button.textContent = '🌙';
        localStorage.setItem('theme', 'light');
    } else {
        html.setAttribute('data-theme', 'dark');
        button.textContent = '☀️';
        localStorage.setItem('theme', 'dark');
    }
}

// Load saved theme on page load
document.addEventListener('DOMContentLoaded', function() {
    const savedTheme = localStorage.getItem('theme');
    const button = document.querySelector('.dark-mode-toggle');
    
    if (savedTheme === 'dark') {
        button.textContent = '☀️';
    } else {
        button.textContent = '🌙';
    }
});